#!/bin/bash

# 设置变量
CONFIG_DIR="/data/mpd/config"
CONFIG_FILE="config.json"
BACKUP_DIR="/data/mpd/config/backup"
DOWNLOAD_URL="http://dl.fogworks.io/maxio/online/1202test/config.json"
SQLITE_DB="/var/lib/facmgr/db/facmgr.db"
BUCKET_NAME="mybucket"
NEW_TOKEN="pgKKFeGBi4DzlbxaMy"

# 创建备份目录（如果不存在）
mkdir -p "$BACKUP_DIR"

# 备份当前配置文件
if [ -f "$CONFIG_DIR/$CONFIG_FILE" ]; then
    DATE=$(date +"%Y%m%d")
    cp "$CONFIG_DIR/$CONFIG_FILE" "$BACKUP_DIR/${CONFIG_FILE}_$DATE"
    echo "备份已完成：$BACKUP_DIR/${CONFIG_FILE}_$DATE"
else
    echo "配置文件不存在，无需备份。"
fi

# 下载新的配置文件
curl -o "$CONFIG_DIR/$CONFIG_FILE" "$DOWNLOAD_URL"
if [ $? -eq 0 ]; then
    echo "配置文件已成功下载并更新到：$CONFIG_DIR/$CONFIG_FILE"
else
    echo "下载配置文件失败，请检查 URL 或网络连接。"
    exit 1
fi

# 修改 SQLite 数据库
if [ -f "$SQLITE_DB" ]; then
    sqlite3 "$SQLITE_DB" <<EOF
UPDATE storage_access_info
SET token_key = '$NEW_TOKEN'
WHERE bucket = '$BUCKET_NAME';
EOF

    if [ $? -eq 0 ]; then
        echo "数据库字段已成功更新。"
    else
        echo "数据库更新失败，请检查 SQL 语句或数据库路径。"
        exit 1
    fi
else
    echo "SQLite 数据库文件不存在：$SQLITE_DB"
    exit 1
fi

echo "所有操作已完成。"

